Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Interface PersistenceCapable

All Superinterfaces:
  Manageable

All Known Implementing Classes:
  Add, AdditionalNodeFieldsEditor, AdjustLU, AffineUVTransformation, And, And, Application, ArgShoot, Argument, Arrange, Array, ArrayGenerator, ArrayInit, Assert, AssignArrayComponent, AssignArrayGenerator, AssignField, AssignLocal, Assignment, Assignment, AttributeItem, Axiom, Axis, AxisBase, BinaryExpression, BlendItem, Block, Block, BlockColor, BlockScale, BooleanConst, BooleanEditor, BooleanNode, Box, Break, BreakTarget, BumpMap, ButtonEditor, ByteConst, ByteNode, C, C0, CAdd, Carpenter, Cast, Catch, Cell, ChannelBlend, ChannelMapNode, CharConst, CharNode, CheckBoxItem, Checker, CheckNonNull, ChoiceGroup, Cl, ClAdd, ClassConst, ClMul, CMul, ColoredNull, ColorMapNode, CommandItem, Compare, Comparison, Complement, ComplexMethod, CompositeEditor, Conditional, ConditionalAnd, ConditionalOr, Cone, ConfigureInstance, ConstExpression, ControlTransfer, CreateArray, CreateMap, CSGNode, Cylinder, D, D0, DAdd, Directory, DisposeDescriptor, Div, Dl, DlAdd, DlMul, DMul, Do, DoubleConst, DoubleNode, DTDSourceFile, DTGShoot, EnterFrame, EnumerationEditor, Equals, EvalExpression, Executable, Exists, ExplorerFactory, Expression, Expression, ExpressionList, ExtensionItem, F, F0, FAdd, FieldObserver, FieldUpdater, FileFactory, FileObjectItem, FileTypeItem, Filter, FilterGuard, FilterItem, Finally, FinishIteratorGenerator, First, FloatConst, FloatConst, FloatingWindow, FloatNode, FMul, For, ForAll, FruitObject, Frustum, FrustumBase, GD, GE, GetArrayComponent, GetDescriptor, GetField, GetLocal, GetProperty, GetPropertyInstance, GetQuery, GetVMXFrame, Gradient, Granite, GRotation, Group, GRSVertex, GT, Guard, H, H0, HAdd, HDir, Hl, HlAdd, HlMul, HMul, Hook, Horn, Hydra, Id, If, ImageMap, IncScale, InitializeClass, Insert, Instance, Instance3D, InstanceOf, InstanceOf, IntConst, IntConst, InterpretiveMark, IntNode, Invoke, InvokeMethod, InvokeSpecial, InvokeStatic, InvokeVirtual, Item, ItemFactory, IterableGenerator, Julia, K, KAssignment, KL, L, L0, Label, LAdd, Laplace3D, Layout, LazyObjectItem, LE, LeafObject, LeaveFrame, Leopard, Library, LightNode, Line, Link, Ll, LlAdd, LlMul, LMul, LongConst, LongNode, LSystem, LT, M, M0, MAdd, MainWindow, Mandel, Mark, Material, MeshNode, MethodEditor, MethodExpression, MimeTypeItem, Minus, MMul, ModelExpression, Move, MRel, MSMLMetadata, MSNode, MTGNode, MTGRoot, MTGSourceFile, Mul, N, N0, NAdd, Neg, New, Nl, NlAdd, NlMul, NMul, NoBytecode, Node, NodeReference, Not, Not, NotEquals, Null, NullConst, NullWithShaderNode, NumberEditor, NumericEditor, NumericLabel, NURBSCurve, NURBSSurface, ObjectConst, ObjectExpr, ObjectItem, ObjectItemFactory, ObjectNode, Option, OptionExplorerFactory, OptionGroup, Or, Or, OR, P, P0, PanelFactory, Parallelogram, Patch, PhiBall, Phong, Pl, Plane, PluginDescriptor, PluginPrerequisite, Plus, Point, PointCloud, PointConst, PolyEditor, Polygon, Pop, PopIntArray, Pos, Power, Prerequisite, Production, PropertyAssignment, PropertyEditor, PushInts, Range, RD, Rem, Resource, ResourceDirectory, Return, RG, RGG, RGGRoot, RH, RL, RN, RO, Root, Root, Rotate, Rotate, Rotation, RP, RU, RV, RV0, RVAdd, RVMul, Scale, Scale, SelectableItem, SensorNode, Separator, SetThis, SetVar, ShadedNull, SharedObjectNode, SharedValue, Shift, Shl, Shoot, ShortConst, ShortNode, Shr, Sky, Smooth3D, SONodeReference, SourceFile, Sphere, Split, StringConst, StringConversion, StringEditor, Sub, SunSkyLight, Super, Supershape, SurfaceMap, SwapBytecode, Switch, Synchronized, SyntheticTexture, Tab, TextLabel, TextLabelBase, Throw, ToolBarFactory, ToolFactory, ToolRoot, ToolRoot3D, TransformTool, Translate, Translate, Tree, Tropism, TryCatch, TryFinally, Turbulence, TurtleStep, TypeConst, TypeItem, U, U0, UAdd, UIPropertyDependency, Ul, UlAdd, UlMul, UMul, UnaryExpression, URotation, UserFieldsEditor, Ushr, UVTransformation, V, V0, VAdd, Value, Var, Variable, Variation, Vars, Vertex, ViewComponentFactory, Vl, VlAdd, VlMul, VMul, Void, VoidExpression, VolumeChecker, VolumeFunction, VolumeTurbulence, While, Wood, Xor, XSLTFilterItem, XYZTransformation, Yield

    public interface PersistenceCapable

extends Manageable

Method Summary
`boolean` | `getBitMark(int handle)`
`long` | `getId()`
`java.lang.Object` | `getObjectMark(int handle)`
`PersistenceManager` | `getPersistenceManager()`
`boolean` | `setBitMark(int handle, boolean mark)`
`java.lang.Object` | `setObjectMark(int handle, java.lang.Object object)`

Methods inherited from interface de.grogra.persistence.Manageable
`fieldModified, getManageableType, getStamp, manageableReadResolve, manageableWriteReplace`

Method Detail

### getBitMark

    boolean getBitMark(int handle)

### getId

    long getId()

### getObjectMark

    java.lang.Object getObjectMark(int handle)

### getPersistenceManager

    PersistenceManager getPersistenceManager()

### setBitMark

    boolean setBitMark(int handle,
                       boolean mark)

### setObjectMark

    java.lang.Object setObjectMark(int handle,
                                   java.lang.Object object)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD